import time
import xbmc
import os
import xbmcgui
import urllib2
import webbrowser


def menuoptions():
    dialog = xbmcgui.Dialog()
    funcs = (
        function1,
        function2,
        function3,
		function4,
		function5,
        )
        
    call = dialog.select('[B][COLOR=aqua]Aliunde Health Websites[/COLOR][/B]', [
	'[B][COLOR=aqua]      World Health Organization[/COLOR][/B]', 
    '[B][COLOR=aqua]      National Health Service UK[/COLOR][/B]',
    '[B][COLOR=aqua]      Ireland Dept Health[/COLOR][/B]',
    '[B][COLOR=aqua]      USA Gov Health[/COLOR][/B]',
	'[B][COLOR=aqua]      Canada Health[/COLOR][/B]',])
    # dialog.selectreturns
    #   0 -> escape pressed
    #   1 -> first item
    #   2 -> second item
    if call:
        # esc is not pressed
        if call < 0:
            return
        func = funcs[call-5]
        return func()
    else:
        func = funcs[call]
        return func()
    return 

def platform():
    if xbmc.getCondVisibility('system.platform.android'):
        return 'android'
    elif xbmc.getCondVisibility('system.platform.linux'):
        return 'linux'
    elif xbmc.getCondVisibility('system.platform.windows'):
        return 'windows'
    elif xbmc.getCondVisibility('system.platform.osx'):
        return 'osx'
    elif xbmc.getCondVisibility('system.platform.atv2'):
        return 'atv2'
    elif xbmc.getCondVisibility('system.platform.ios'):
        return 'ios'

myplatform = platform()

def function1():
    if myplatform == 'android': # Android 
        opensite = xbmc.executebuiltin( 'StartAndroidActivity(,android.intent.action.VIEW,,%s)' % ( 'https://www.who.int/' ) )
    else:
        opensite = webbrowser . open('https://www.who.int/')

def function2():
    if myplatform == 'android': # Android 
        opensite = xbmc.executebuiltin( 'StartAndroidActivity(,android.intent.action.VIEW,,%s)' % ( 'https://www.nhs.uk/' ) )
    else:
        opensite = webbrowser . open('https://www.nhs.uk/')
        
def function3():
    if myplatform == 'android': # Android 
        opensite = xbmc.executebuiltin( 'StartAndroidActivity(,android.intent.action.VIEW,,%s)' % ( 'https://www.gov.ie/en/organisation/department-of-health/' ) )
    else:
        opensite = webbrowser . open('https://www.gov.ie/en/organisation/department-of-health/')
		
def function4():
    if myplatform == 'android': # Android 
        opensite = xbmc.executebuiltin( 'StartAndroidActivity(,android.intent.action.VIEW,,%s)' % ( 'https://www.usa.gov/health/' ) )
    else:
        opensite = webbrowser . open('https://www.usa.gov/health/')	

def function5():
    if myplatform == 'android': # Android 
        opensite = xbmc.executebuiltin( 'StartAndroidActivity(,android.intent.action.VIEW,,%s)' % ( 'https://www.canada.ca/en/health-canada.html/' ) )
    else:
        opensite = webbrowser . open('https://www.canada.ca/en/health-canada.html/')		
 
menuoptions()
